Bug 1251712 - [abrt] policycoreutils-devel: connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1
[abrt] policycoreutils-devel: connection.py:651:call_blocking:dbus.exceptions...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4078ec0b424d196045db0ed2639...
:
Depends On:
Blocks: 1076441
  Show dependency treegraph
 
Reported: 2015-08-08 23:11 EDT by Pinkie Pie
Modified: 2015-09-02 02:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-02 02:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.46 KB, text/plain)
2015-08-08 23:11 EDT, Pinkie Pie
no flags Details
File: environ (1.49 KB, text/plain)
2015-08-08 23:11 EDT, Pinkie Pie
no flags Details

  None (edit)
Description Pinkie Pie 2015-08-08 23:11:34 EDT
Version-Release number of selected component:
policycoreutils-devel-2.4-8.fc23

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 -Es /usr/bin/sepolicy gui
executable:     /usr/bin/sepolicy
kernel:         4.2.0-0.rc4.git0.1.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
connection.py:651:call_blocking:dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

Traceback (most recent call last):
  File "/usr/lib64/python3.4/site-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib64/python3.4/site-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib64/python3.4/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.selinux': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/sepolicy", line 644, in <module>
    args.func(args)
  File "/usr/bin/sepolicy", line 290, in gui_run
    sepolicy.gui.SELinuxGui(args.domain, args.test)
  File "/usr/lib64/python3.4/site-packages/sepolicy/gui.py", line 108, in __init__
    self.dbus = SELinuxDBus()
  File "/usr/lib64/python3.4/site-packages/sepolicy/sedbus.py", line 10, in __init__
    self.dbus_object = self.bus.get_object("org.selinux", "/org/selinux/object")
  File "/usr/lib64/python3.4/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib64/python3.4/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib64/python3.4/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib64/python3.4/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib64/python3.4/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

Local variables in innermost frame:
message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/DBus, iface: org.freedesktop.DBus, member: StartServiceByName dest: org.freedesktop.DBus>
dbus_interface: 'org.freedesktop.DBus'
self: <dbus._dbus.SystemBus (system) at 0x7fdf64ffee08>
object_path: '/org/freedesktop/DBus'
args: ('org.selinux', 0)
kwargs: {}
bus_name: 'org.freedesktop.DBus'
signature: 'su'
timeout: -1.0
byte_arrays: False
get_args_opts: {'byte_arrays': False}
method: 'StartServiceByName'
Comment 1 Pinkie Pie 2015-08-08 23:11:38 EDT
Created attachment 1060676 [details]
File: backtrace
Comment 2 Pinkie Pie 2015-08-08 23:11:39 EDT
Created attachment 1060677 [details]
File: environ
Comment 3 Petr Lautrbach 2015-09-02 02:20:34 EDT
We've made several changes in the gui code recently and I'm not able to reproduce this issue. However, if your problem persists feel free to reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.